Payouts

Get Payout Transaction By Source Reference

Retrieve the payout transaction associated with a merchant-provided payout source reference.

GET
/api/v1/payout/transaction-by-source-reference/{sourceReference}

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

sourceReference*string

Source reference tied to the payout

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/payout/transaction-by-source-reference/SRC_PAYOUT_001"
{
  "requestId": "abcd1234-5678-90ef-ghij-1234567890kl",
  "requestTimestamp": "2026-03-20 09:15:00",
  "message": "Payout transaction fetched successfully.",
  "statusCode": 200,
  "data": {
    "id": "019914a8-c4d0-7131-a5c9-b008f622813a",
    "recipientAccountName": "Test User",
    "recipientAccountNumber": "123443231",
    "recipientBankName": "Test Bank",
    "sourceReference": "SRC_PAYOUT_001",
    "reference": "TRN_R67QZJVLLY",
    "paymentChannel": "Bank Transfer",
    "sessionId": "1SDW323RWD234FRGTD24F3R22",
    "narration": "Sending money",
    "status": "Pending"
  }
}
{
  "requestId": "f006ad7b-096c-4254-8c7e-2d23a55b0b0e",
  "requestTimestamp": "2026-03-20 09:15:00",
  "message": "Payout not found for the provided source reference.",
  "statusCode": 404
}

How is this guide?